Package com.sas.services.information.search

# Class NotesFilter

java.lang.Object
com.sas.services.information.search.NotesFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class NotesFilter extends Object implements SearchFilter, Serializable
The NotesFilter class is used to filter or search for objects by their associated notes. This includes both private notes (such as quick notes) and associated public (or shared) notes.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `_notes`
  `protected static final String`
  `ATTRIBUTE_PUBLICTYPE`
  `protected static final String`
  `ATTRIBUTE_STOREDTEXT`
  `protected static final String`
  `ATTRIBUTE_TEXTROLE`
  `protected static final String`
  `DOCUMENTS_ASSOCIATION_NAME`
  `protected static final String`
  `DOCUMENTS_ASSOCIATION_TYPE`
  `protected static final String`
  `NOTES_ASSOCIATION_NAME`
  `protected static final String`
  `NOTES_ASSOCIATION_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotesFilter(List<String> notes)`
  Constructs a new notes filter that allows objects to be searched their associated notes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria
  `String`
  `getFilterDescription()`
  Returns the description of this filter.
  `String`
  `getFilterType()`
  Returns the localized name of this filter.
  `List<String>`
  `getNotes()`
  Returns the notes being searched for

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DOCUMENTS_ASSOCIATION_NAME

    protected static final String DOCUMENTS_ASSOCIATION_NAME
    See Also:
      - Constant Field Values

  - ### DOCUMENTS_ASSOCIATION_TYPE

    protected static final String DOCUMENTS_ASSOCIATION_TYPE
    See Also:
      - Constant Field Values

  - ### NOTES_ASSOCIATION_NAME

    protected static final String NOTES_ASSOCIATION_NAME
    See Also:
      - Constant Field Values

  - ### NOTES_ASSOCIATION_TYPE

    protected static final String NOTES_ASSOCIATION_TYPE
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_STOREDTEXT

    protected static final String ATTRIBUTE_STOREDTEXT
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PUBLICTYPE

    protected static final String ATTRIBUTE_PUBLICTYPE
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_TEXTROLE

    protected static final String ATTRIBUTE_TEXTROLE
    See Also:
      - Constant Field Values

  - ### _notes

    protected List<String> _notes

- ## Constructor Details

  - ### NotesFilter

    public NotesFilter(List<String> notes)
    Constructs a new notes filter that allows objects to be searched their associated notes.
    Parameters:
      `text` - the note text to search on

- ## Method Details

  - ### getFilterType

    public String getFilterType()
    Description copied from interface: `SearchFilter`
    Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.
    Specified by:
      `getFilterType` in interface `SearchFilter`
    Returns:
      filter type

  - ### getFilterDescription

    public String getFilterDescription()
    Description copied from interface: `SearchFilter`
    Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.
    Specified by:
      `getFilterDescription` in interface `SearchFilter`
    Returns:
      the filter description

  - ### getNotes

    public List<String> getNotes()
    Returns the notes being searched for
    Returns:
      notes

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`